Subject: [IPP] Multi-document job questions...

From: "Manchala, Daniel" <[email-masked]>
Date: Wed, 22 Apr 2015 19:32:23 +0000

RFC 2911 describes a multi-document job:

1.       The Send-Document Request operation used for multi-document jobs has a laundry list of Operation Attributes (requesting-user-name, document-name, compression, document-format, etc).  Does the IPP submission application ever query the printer to view these document attributes?  Or is the IPP submission application restricted to querying the job attributes (of the job that contains the said documents)?

2.       Is there any status related to Documents? (Other than the Send-Document Response associated with the Send-Document Request?)

3.       Is there any state related to Documents?

4.       Would a human operator expect to see Documents contained within multi-document jobs as individual entities at the printer?  Or is that left as a detail of the printer implementation?

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Zehler, Peter" <[email-masked]>
Date: Thu, 23 Apr 2015 11:41:28 +0000

The specification "PWG 5100.5-2003 Standard for IPP Document Object" covers the Document and associated semantics.  Additional comments below.

Peter Zehler
Xerox Corp.
Global Development Group
800 Phillips Rd, 111-04A
Webster NY, 14580-9701
Email: [email-masked]<mailto:[email-masked]>
Office: +1 (585) 265-8755<tel:%2B1%20%28585%29%20265-8755>
Fax: +1 (585) 422-0238<tel:%2B1%20%28585%29%20265-8755>
Mobile: +1 (585) 329-9508<tel:%2B1%20%28585%29%20329-9508>

From: [email-masked] [mailto:[email-masked]] On Behalf Of Manchala, Daniel
Sent: Wednesday, April 22, 2015 3:32 PM
To: [email-masked]'
Subject: [IPP] Multi-document job questions...

1.       The Send-Document Request operation used for multi-document jobs has a laundry list of Operation Attributes (requesting-user-name, document-name, compression, document-format, etc).  Does the IPP submission application ever query the printer to view these document attributes?  Or is the IPP submission application restricted to querying the job attributes (of the job that contains the said documents)?
<PZ>The "Get-Document-Attributes" is available to the submission application.</PZ>

2.       Is there any status related to Documents? (Other than the Send-Document Response associated with the Send-Document Request?)
<PZ>Similar to a Job the Document object has state.  The Document object contains "document-state" and "document-state-reasons" elements to represent the object's state.  See "PWG 5108.01-2011 MFD Model and Common Semantics" section 7.2.3 for the detail on Document States and State Transitions.</PZ>

3.       Is there any state related to Documents?
<PZ>Document states are simpler than the Job states.  The two non-terminating states are 'Pending' and 'Processing'.  The terminating states are 'Aborted', 'Canceled' and 'Completed'.</PZ>

4.       Would a human operator expect to see Documents contained within multi-document jobs as individual entities at the printer?  Or is that left as a detail of the printer implementation?
<PZ>UI design is the purview of the implementer.  However it should be noted that a Document is a passive object whereas a Job is an active object.  In the IPP model it is Jobs that are scheduled and run.  Documents only exist within the Job and can only be processed within a processing Job.  Documents can be managed (e.g., cancelled, modified) individually.</PZ>

---

From: Michael Sweet <[email-masked]>
Date: Thu, 30 Apr 2015 20:56:49 -0700

One additional note: IPP INFRA adds the document-state 'processing-stopped'.

> On Apr 23, 2015, at 4:41 AM, Zehler, Peter <[email-masked]> wrote:
> 
> The specification “PWG 5100.5-2003 Standard for IPP Document Object” covers the Document and associated semantics.  Additional comments below.
>  
> Peter Zehler
> 
> Xerox Corp.
> Global Development Group
> 800 Phillips Rd, 111-04A
> Webster NY, 14580-9701
> Email: [email-masked] <mailto:[email-masked]>
> Office: +1 (585) 265-8755 <tel:%2B1%20%28585%29%20265-8755>
> Fax: +1 (585) 422-0238 <tel:%2B1%20%28585%29%20265-8755>
> Mobile: +1 (585) 329-9508 <tel:%2B1%20%28585%29%20329-9508>
>  
> <PZ>The “Get-Document-Attributes” is available to the submission application.</PZ>
> 
> <PZ>Similar to a Job the Document object has state.  The Document object contains “document-state” and “document-state-reasons” elements to represent the object’s state.  See “PWG 5108.01-2011 MFD Model and Common Semantics” section 7.2.3 for the detail on Document States and State Transitions.</PZ>
> 
> <PZ>Document states are simpler than the Job states.  The two non-terminating states are ‘Pending’ and ‘Processing’.  The terminating states are ‘Aborted’, ‘Canceled’ and ‘Completed’.</PZ>
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair